using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace PetCompanion.Models
{
    public class EquippedItem
    {
        [Key]
        public int Id { get; set; }

        public string PetId { get; set; }
        [ForeignKey("PetId")]
        public virtual Pet Pet { get; set; }

        public ItemEquipTarget EquipTarget { get; set; }
        public int GameItemId { get; set; }
        [ForeignKey("GameItemId")]
        public virtual GameItem GameItem { get; set; }
    }
}
