
namespace PetCompanion.Models
{
    public class PetClassInfo
    {
        public string Name { get; set; }
        public string Description { get; set; }
        public List<Modifier> Modifiers { get; set; }
        public string Color { get; set; }
        public string Emoji { get; set; }
        public PetClass Class { get; set; }
    }

    public class Modifier
    {
        public string Description { get; set; }

        /// <summary>
        /// Other property (unused atm)
        /// </summary>
        public string? Misc { get; set; }

        /// <summary>
        /// Either `intelligence`, `strength` or `charisma`
        /// </summary>
        public string? Attribute { get; set; } // The attribute that the modifier affects (used by reflection)
        public float? Value { get; set; }
    }
}